<h1>Pesquisa de Servidores</h1>
<div class="content">
    <mat-card class="example-card">
        <h2>Pesquisar</h2>
        <mat-card-content>
            <div class="matricula-pesquisa" *ngIf="servidores$ ">
                <form class="pesq-matricula" [formGroup]="form">

                    <div class="radio">
                        <mat-radio-group formControlName="selectPesquisa">
                            <div class="radio">
                                <mat-radio-button value="1">Matrícula</mat-radio-button>
                            </div>
                            <div class="radio">
                                <mat-radio-button value="2">Nome</mat-radio-button>
                            </div>
                            <div class="radio">
                                <mat-radio-button value="3" checked>CPF</mat-radio-button>
                            </div>
                        </mat-radio-group>
                    </div>

                    <div class="inputNome" id="inputNome">
                        <mat-form-field class="example-full-width" appearance="fill" style="width:400px ">
                            <mat-label>Digite: </mat-label>
                            <input formControlName="matricula" matInput placeholder="">
                        </mat-form-field>
                        <button mat-raised-button color="primary" (click)="tipoPesquisa()">Pesquisar</button>
                    </div>
                </form>
            </div>
        </mat-card-content>
        <h2>Resultado</h2>
        <mat-card-content>
            <div *ngIf="servidores$ | async as servidores">

                <table mat-table [dataSource]="servidores" class="mat-elevation-z8" style="width: 100%">

                    <!-- Nome Column -->
                    <ng-container matColumnDef="nome">
                        <th mat-header-cell *matHeaderCellDef>Nome</th>
                        <td mat-cell *matCellDef="let p">{{ p.pessoaFisica.nome }}</td>
                    </ng-container>

                    <!-- CPF Column -->
                    <ng-container matColumnDef="cpf">
                        <th mat-header-cell *matHeaderCellDef>CPF</th>
                        <td mat-cell *matCellDef="let p">{{ p.pessoaFisica.cpf }}</td>
                    </ng-container>

                    <!-- Matricula Column -->
                    <ng-container matColumnDef="matricula">
                        <th mat-header-cell *matHeaderCellDef>Matricula</th>
                        <td mat-cell *matCellDef="let p">{{ p.matricula }}</td>
                    </ng-container>

                    <!-- Action Column -->
                    <ng-container matColumnDef="acao">
                        <th mat-header-cell *matHeaderCellDef>Ação</th>
                        <td mat-cell *matCellDef="let p">
                            <button mat-raised-button color="primary"
                                (click)="enviarDetalhesServidor(p.id)">Selecionar</button>
                        </td>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
                </table>
            </div>

        </mat-card-content>
    </mat-card>
    <h1 id="t">Nenhuma Pesquisa Realizada</h1>
</div>